@import url('https://googleapis.com');

body {
    margin: 0;
}

.banner {
  height: 135px; /* or whatever height your banner needs */
  display: flex;
  justify-content: center; /* centers the block horizontally */
  align-items: stretch;   /* makes the block full height */
  background-color: #b0e89b;
}

.banner-content {
  width: 500px;            /* width of the centered block */
  text-align: left;        /* elements align to the left */
  box-sizing: border-box;
}

.title {
    font-family: 'Archivo Black', sans-serif;
    font-weight: bold;
    font-size: 42px;
    margin-right: auto;
}

.banner-selection {
    display: flex;
    justify-content: end;
    padding-right: 48px;
}

.banner-selection button {
    border: none;
    color: black;
    padding-top: 5px;
    background-color: #b0e89b;
    transition: color 0.3s ease;
}

.banner-selection button:hover {
    color: #616161;
}

.about {
    height: 100px;
    display: flex;
    justify-content: center; /* centers the block horizontally */
    align-items: stretch;   /* makes the block full height */
    background-color: white;
}

.about-content {
  width: 600px;            /* width of the centered block */
  text-align: left;        /* elements align to the left */
  padding: 20px;
  box-sizing: border-box;
  font-family: 'Ubuntu', sans-serif;
  line-height: 1.2;
}

.download {
    display: flex;
    justify-content: center;
    align-items: stretch;
    background-color: white;
}

.download-content {
  width: 600px;
  text-align: left;
  padding-left: 20px;
  box-sizing: border-box;
}

/*.divider {
  width: 700px;
  margin: 0 auto;
  border: 1px solid black;
}*/

.divider {
    width: 25%;          /* Sets the length of the line */
    margin: 20px auto;   /* 20px space top/bottom, auto centers it */
    border: none;        /* Removes default browser border */
    height: 2px;
    background-color: darkgrey;
}

.version {
  position: relative;
}

.version-button {
  display: inline-block;
  padding: 0.5rem 1rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  background: white;
  cursor: pointer;
  list-style: none;
}

.version-button::-webkit-details-marker {
  display: none;
}

.version[open] .version-button {
  /* customize the open state */
}

.installers {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-top: 0.5rem;
}

.installers button {
    font-size: 18px;
    padding-top: 6px;
    width: 190px;
    text-align: left;
}

.version-button {
    user-select: none;
}

.version-button::after {
  content: "+";
  margin-left: 0.5rem;
}

.version[open] .version-button::after {
  content: "-";
}
